<template>
  <a-switch
    :checkedChildren="checkedChildren"
    :unCheckedChildren="unCheckedChildren"
    :defaultChecked="defaultChecked"
    :checked="value === '1'"
    @change="handleChange"
    :disabled="disabled"
    :loading="loading"
    :size="size"
  />
</template>

<script>
import moment from 'moment'
export default {
  name: 'LxSwitch',
  props: {
    checkedChildren: {
      type: String,
      default: '',
      required: false
    },
    value: {
      type: String,
      required: false
    },
    unCheckedChildren: {
      type: String,
      default: '',
      required: false
    },
    defaultChecked: {
      type: Boolean,
      required: false,
      default: false
    },
    loading: {
      type: Boolean,
      required: false,
      default: false
    },
    disabled: {
      type: Boolean,
      required: false,
      default: false
    },
    size: {
      type: String,
      required: false,
      default: 'default'
    }
  },
  data() {
    let dateStr = this.value
    return {
      decorator: '',
      momVal: !dateStr ? null : moment(dateStr, this.dateFormat)
    }
  },
  methods: {
    handleChange(checked) {
      this.$emit('change', checked ? '1' : '0')
    }
  },
  //2.2新增 在组件内定义 指定父组件调用时候的传值属性和事件类型 这个牛逼
  model: {
    prop: 'value',
    event: 'change'
  }
}
</script>